StrutsFormSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.struts.ejb.StrutsFormSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.struts.ejb
Class StrutsFormSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.ejb.AbstractEjbCodeGeneratorSubTask
                      xdoclet.modules.apache.struts.ejb.StrutsFormSubTask

All Implemented Interfaces:
  Serializable

public class StrutsFormSubTask
extends AbstractEjbCodeGeneratorSubTask

Generates a Struts ActionForm, based on an entity EJB. More information on Struts is available on the Struts website , or the ActionForm API .

Version:
  $Revision: 1.12 $
Author:
  Dmitri Colebatch (dim@bigpond.net.au)
See Also:
  Serialized Form
ant.element
  display-name="Struts Form" name="strutsform" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  September 3, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected xjavadoc.XTag` | `currentFormTag` Form tag being processed right now.
`protected static String` | `DEFAULT_TEMPLATE_FILE` The default template file - struts_form.xdt.
`protected String` | `formClassPattern` The pattern for the form class.

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`StrutsFormSubTask()` Describe what the StrutsFormSubTask constructor does

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`protected void` | `generateForClass(xjavadoc.XClass clazz)` iterate through all struts:form tags,and produce separate classes
`xjavadoc.XTag` | `getCurrentFormTag()` Gets the CurrentFormTag attribute of the StrutsFormSubTask object
`protected String` | `getGeneratedFileName(xjavadoc.XClass clazz)` Gets the GeneratedFileName attribute of the StrutsFormSubTask object
`String` | `getStrutsFormClassPattern()` Return the class pattern.
`protected boolean` | `matchesGenerationRules(xjavadoc.XClass clazz)` Returns whether struts form[s] shall be generated for this class
`void` | `setCurrentFormTag(xjavadoc.XTag t)` Sets the CurrentFormTag attribute of the StrutsFormSubTask object
`void` | `setPattern(String newPattern)` Sets the Pattern attribute of the StrutsFormSubTask object
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, execute, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TEMPLATE_FILE

    protected static final String DEFAULT_TEMPLATE_FILE

  The default template file - struts_form.xdt.

  See Also:
    Constant Field Values

### formClassPattern

    protected String formClassPattern

  The pattern for the form class. Defaults to {0}{1}Form if not present.

### currentFormTag

    protected xjavadoc.XTag currentFormTag

  Form tag being processed right now.

Constructor Detail

### StrutsFormSubTask

    public StrutsFormSubTask()

  Describe what the StrutsFormSubTask constructor does

Method Detail

### getCurrentFormTag

    public xjavadoc.XTag getCurrentFormTag()

  Gets the CurrentFormTag attribute of the StrutsFormSubTask object

  Returns:
    The CurrentFormTag value

### getStrutsFormClassPattern

    public String getStrutsFormClassPattern()

  Return the class pattern.

  Returns:
    The StrutsFormClassPattern value

### setCurrentFormTag

    public void setCurrentFormTag(xjavadoc.XTag t)

  Sets the CurrentFormTag attribute of the StrutsFormSubTask object

  Parameters:
    `t` - The new CurrentFormTag value

### setPattern

    public void setPattern(String newPattern)

  Sets the Pattern attribute of the StrutsFormSubTask object

  Parameters:
    `newPattern` - The new Pattern value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XClass clazz)
                                   throws XDocletException

  Gets the GeneratedFileName attribute of the StrutsFormSubTask object

  Overrides:
    `getGeneratedFileName` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The GeneratedFileName value
  Throws:
    `XDocletException` - Describe the exception

### matchesGenerationRules

    protected boolean matchesGenerationRules(xjavadoc.XClass clazz)
                                      throws XDocletException

  Returns whether struts form[s] shall be generated for this class

  Overrides:
    `matchesGenerationRules` in class `TemplateSubTask`
  Parameters:
    `clazz` - Description of Parameter
  Returns:
    is form tag shall be generated
  Throws:
    `XDocletException` - Description of Exception

### generateForClass

    protected void generateForClass(xjavadoc.XClass clazz)
                             throws XDocletException

  iterate through all struts:form tags,and produce separate classes

  Overrides:
    `generateForClass` in class `TemplateSubTask`
  Parameters:
    `clazz` - Description of Parameter
  Throws:
    `XDocletException` - Description of Exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD